	Option Explicit

	
	Dim v2iAuto
	Dim oNet
	Dim oVolume
	Dim oVolume1
	Dim oTempVol
	Dim oTask
	Dim oLocation
	Dim oLocation1
	Dim oImageJob
	Dim sFolder
	Dim oCommandFilePre
	Dim oCommandFilePost
	Dim oCommandFileAfter
	Dim objShell 
	Dim colEnvironment 
	Dim objPath 

	'
	' Step 1: Process command line arguments
	'
	If (WScript.Arguments.Count < 3) Then
		WScript.Echo "Usage: cscript.exe FullBackup.vbs [Path] [Type of Path] [Time to run backup job]"
		WScript.Echo "[Path]: D:\ or \\SERVERNAME\d$"
		WScript.Echo "[Type of Path]: L=local, N=network"
		WScript.Echo "[Time to run backup job]: 23:00"
		WScript.Quit
	End If
	
	sFolder = WScript.Arguments(0)

	'
	' Step 2: Create a LiveState Recovery automation object
	'
	Set v2iAuto = CreateObject("Symantec.ProtectorAuto")

	'
	' Step 3: Connect to the local agent
	'
	WScript.Echo "Connecting..."
	Set oNet = CreateObject("Wscript.Network")
	Call v2iAuto.Connect(oNet.ComputerName)

	'
	' Step 4: Define the location where the image will be saved
	'

	If (WScript.Arguments(1) = "L") Then

		Set oLocation = CreateObject("Symantec.VProRecovery.FolderLocation")
		oLocation.Path = sFolder
		oLocation.FileSpec = oNet.ComputerName & "_" & "D" & "_" & "Drive"

		Set oLocation1 = CreateObject("Symantec.VProRecovery.FolderLocation")
		oLocation1.Path = sFolder
		oLocation1.FileSpec = oNet.ComputerName & "_" & "C" & "_" & "Drive"
	
	ElseIf (WScript.Arguments(1) = "N") Then

		Set oLocation = CreateObject("Symantec.VProRecovery.NetworkLocation")
		oLocation.Path = sFolder
		oLocation.FileSpec = oNet.ComputerName & "_" & "D" & "_" & "Drive"
		oLocation.NetworkUser = "DOMAIN\User"
		oLocation.NetworkPassword ="PASSWORD"

		Set oLocation1 = CreateObject("Symantec.VProRecovery.NetworkLocation")
		oLocation1.Path = sFolder
		oLocation1.FileSpec = oNet.ComputerName & "_" & "C" & "_" & "Drive"
		oLocation1.NetworkUser = "DOMAIN\User"
		oLocation1.NetworkPassword ="PASSWORD"

	Else

		WScript.Echo "Usage: cscript.exe FullBackup.vbs [Path] [Type of Path]"
		WScript.Echo "[Path]: D:\ or \\SERVERNAME\d$"
		WScript.Echo "[Type of Path]: L=local, N=network"
		WScript.Echo "[Time to run backup job]: 23:00"
		WScript.Quit

	End If


	'
	' Step 5: Create a task to schedule the image job
	'
	Set oTask = CreateObject("Symantec.Scheduler.Task")
	oTask.Description = "Full Image Schedule"
	oTask.StartDateTimeLocal = "1/1/2005 " & WScript.Arguments(2) ' Localtime
	oTask.RepeatInterval = oTask.Constants.IntervalWeekly
	oTask.AddRepeatDay(0) ' Sunday
	oTask.AddRepeatDay(1) ' Monday
	oTask.AddRepeatDay(2) ' Tuesday
	oTask.AddRepeatDay(3) ' Wednesday
	oTask.AddRepeatDay(4) ' Thursday
	oTask.AddRepeatDay(5) ' Friday
	oTask.AddRepeatDay(6) ' Saturday
	Call oTask.Validate() ' Make sure we built the task correctly

	'
	' Step 6.5: Create Command Files
	'

	Set objShell = CreateObject("WScript.Shell")
	Set colEnvironment = objShell.Environment("PROCESS")
	objPath = colEnvironment("ALLUSERSPROFILE")

	Set oCommandFilePre = CreateObject("Symantec.VProRecovery.CommandFile")
	oCommandFilePre.Name = "pre.cmd"
	oCommandFilePre.FileName = "pre.cmd"
	oCommandFilePre.Folder = objPath  & "\Application Data\Symantec\Backup Exec System Recovery\CommandFiles"
	oCommandFilePre.Timeout = 1200
	Call oCommandFilePre.Validate() ' Make sure we built the task correctly

	Set oCommandFilePost = CreateObject("Symantec.VProRecovery.CommandFile")
	oCommandFilePost.Name = "Post.cmd"
	oCommandFilePost.FileName = "Post.cmd"
	oCommandFilePost.Folder = objPath  & "\Application Data\Symantec\Backup Exec System Recovery\CommandFiles"
	oCommandFilePost.Timeout = 600
	Call oCommandFilePost.Validate() ' Make sure we built the task correctly

	Set oCommandFileAfter = CreateObject("Symantec.VProRecovery.CommandFile")
	oCommandFileAfter.Name = "After.cmd"
	oCommandFileAfter.FileName = "After.cmd"
	oCommandFileAfter.Folder = objPath  & "\Application Data\Symantec\Backup Exec System Recovery\CommandFiles"
	oCommandFileAfter.Timeout = 600
	Call oCommandFileAfter.Validate() ' Make sure we built the task correctly

	'
	' Step 6: Find the volume to image (D:\), (C:\)
	'
	Set oVolume = Nothing
	For Each oTempVol in v2iAuto.Volumes(false)

		If (oTempVol.MountPoint = "D:\") Then
			Set oVolume = oTempVol
			Exit For
		End If
	Next

	If (oVolume Is Nothing) Then _
		Call Err.Raise(vbObjecterror+1, "AddImageJob.vbs", "Cannot find requested volume")

	Set oVolume1 = Nothing
	For Each oTempVol in v2iAuto.Volumes(false)

		If (oTempVol.MountPoint = "C:\") Then
			Set oVolume1 = oTempVol
			Exit For
		End If
	Next

	If (oVolume1 Is Nothing) Then _
		Call Err.Raise(vbObjecterror+1, "AddImageJob.vbs", "Cannot find requested volume")

	'
	' Step 7: Create an image job
	'
	Set oImageJob = CreateObject("Symantec.VProRecovery.ImageJob")
	oImageJob.DisplayName = "Full backup of " & oVolume.DisplayName & ", " & oVolume1.DisplayName & " on " & oNet.Computername
	oImageJob.Description = oImageJob.DisplayName
	oImageJob.IncrementalSupport = false
	oImageJob.RunOnce = false
	oImageJob.VerifyImage = true
	oImageJob.SkipBadSectors = true
	If (WScript.Arguments(4) = "DISK") Then

		oImageJob.Compression = oImageJob.Constants.ImageCompressionMedium

	END IF

	If (WScript.Arguments(4) = "NAS") Then

		oImageJob.Compression = oImageJob.Constants.ImageCompressionMedium

	END IF

	oImageJob.Reason = oImageJob.Constants.ImageReasonAutomatic
	oImageJob.Quota = 3
	oImageJob.CommandFile("PREIMAGE") = oCommandFilePre
	oImageJob.CommandFile("POSTSNAP") = oCommandFilePost
	oImageJob.CommandFile("POSTIMAGE") = oCommandFileAfter
	If (WScript.Arguments(3) = "DISK") Then

		oImageJob.SpanSizeMB = 100

	END IF
	oImageJob.Volumes = Array(oVolume.ID)
	oImageJob.Volumes = Array(oVolume1.ID)
	oImageJob.Task = oTask
	oImageJob.Location(oVolume.ID) = oLocation
	oImageJob.Location(oVolume1.ID) = oLocation1

	'
	' Step 8: Add the image job to the list of jobs
	'
	Call v2iAuto.AddImageJob(oImageJob)
	WScript.Echo "Image Job added successfully."
